net.sf.cglib.proxy

## Class Mixin.Generator

- java.lang.Object
- - net.sf.cglib.core.AbstractClassGenerator
  - - net.sf.cglib.proxy.Mixin.Generator

- All Implemented Interfaces:
    ClassGenerator
  Enclosing class:
    Mixin

      public static class Mixin.Generator
      extends AbstractClassGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Mixin.Generator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Mixin` | `create()`
    `void` | `generateClass(ClassVisitor v)`
    `void` | `setClasses(java.lang.Class[] classes)`
    `void` | `setDelegates(java.lang.Object[] delegates)`
    `void` | `setStyle(int style)`

    - ### Methods inherited from class net.sf.cglib.core.AbstractClassGenerator

      `getAttemptLoad, getClassLoader, getCurrent, getNamingPolicy, getStrategy, getUseCache, setAttemptLoad, setClassLoader, setNamingPolicy, setStrategy, setUseCache`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Mixin.Generator

          public Mixin.Generator()

  - ### Method Detail

    - #### setStyle

          public void setStyle(int style)

    - #### setClasses

          public void setClasses(java.lang.Class[] classes)

    - #### setDelegates

          public void setDelegates(java.lang.Object[] delegates)

    - #### create

          public Mixin create()

    - #### generateClass

          public void generateClass(ClassVisitor v)

Copyright (c) 2001 - Apache Software Foundation